# -*- rpm-spec -*-
%global tryton_major 2.4
%global modname  account-stock-continental
%global pkgname %(echo \"%{name}\" | sed 's/-/_/g')

Name:           trytond-%{modname}
Version:        2.4.2
Release:        4%{?dist}
Summary:        %{modname} module for Tryton

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.tryton.org
Source0:        http://downloads.tryton.org/%{tryton_major}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       tryton(kernel) = %{tryton_major}
Requires:       trytond-account-product
Requires:       trytond-stock

%description
%{modname} module for Tryton application server.


%prep
%setup -q -n %{pkgname}-%{version}

rm -rf %{pkgname}.egg-info


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGELOG COPYRIGHT LICENSE README
%doc doc
%{python_sitelib}/trytond/modules/*
%{python_sitelib}/%{pkgname}-%{version}-*.egg-info


%changelog
* Sat Nov 17 2012 Dan Horák <dan@danny.cz> - 2.4.2-4
- don't include INSTALL as documentation, it's redundant

* Sun Oct 07 2012 Dan Horák <dan@danny.cz> - 2.4.2-3
- remove upstream egginfo

* Tue Sep 11 2012 Dan Horák <dan@danny.cz> - 2.4.2-2
- spec cleanup

* Mon Sep 10 2012 Dan Horák <dan@danny.cz> - 2.4.2-1
- new upstream version 2.4.2

* Mon Jan 16 2012 Dan Horák <dan@danny.cz> - 2.2.0-1
- new upstream version 2.2.0

* Wed Jun 08 2011 Dan Horák <dan[at]danny.cz> - 2.0.0-1
- initial Fedora package
